bs-tabs-items:
  label: Tabs
  namespace: Organisms/Bootstrap/Tabs
  use: '@organisms/tm-bs/tabs/_tabs_items.twig'
  description: BS Tabs with data items in loop.
  fields:
    items:
      type: object
      label: Items
      preview:
        - tbid: abc
          title: <i class="fas fa-question-circle"></i> FAQs
          content: <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed
            do eiusmod tempor incididunt ut labore et dolore magna aliqua. Dolor sit
            amet consectetur adipiscing elit pellentesque habitant morbi tristique.
            Ut ornare lectus sit amet est placerat in egestas. Nulla aliquet porttitor
            lacus luctus accumsan tortor posuere ac. Tortor condimentum lacinia quis
            vel eros. In nulla posuere sollicitudin aliquam ultrices sagittis orci
            a. Scelerisque mauris pellentesque pulvinar pellentesque habitant. Blandit
            cursus risus at ultrices mi. Libero enim sed faucibus turpis in. Maecenas
            ultricies mi eget mauris pharetra et ultrices neque. Commodo sed egestas
            egestas fringilla.
          first: true
        - tbid: def
          title: <i class="far fa-newspaper"></i> Commuter Club
          content: <p>Integer vitae justo eget magna fermentum iaculis. Nunc sed augue
            lacus viverra vitae. Arcu cursus euismod quis viverra. Convallis aenean
            et tortor at. Felis eget nunc lobortis mattis aliquam faucibus. Dui faucibus
            in ornare quam viverra orci. Sed viverra tellus in hac habitasse platea
            dictumst vestibulum rhoncus. Et malesuada fames ac turpis egestas integer
            eget. Et ultrices neque ornare aenean euismod elementum. Sed nisi lacus
            sed viverra. Euismod lacinia at quis risus sed. Sodales ut etiam sit amet.
            Pellentesque elit ullamcorper dignissim cras tincidunt. Lectus urna duis
            convallis convallis tellus id interdum velit laoreet. Elit sed vulputate
            mi sit amet mauris commodo quis imperdiet.</p>
          first: false
        - tbid: ghi
          title: <i class="fas fa-compass"></i> Season Direct
          content: <p>Sed velit dignissim sodales ut eu sem integer vitae. Et egestas
            quis ipsum suspendisse. Sem fringilla ut morbi tincidunt augue interdum
            velit euismod in. Diam maecenas sed enim ut sem. Mauris augue neque gravida
            in. Purus gravida quis blandit turpis cursus in hac habitasse platea.
            Ut placerat orci nulla pellentesque dignissim enim. Convallis a cras semper
            auctor. Tempus iaculis urna id volutpat lacus laoreet. Lectus proin nibh
            nisl condimentum. In aliquam sem fringilla ut. Arcu risus quis varius
            quam. Sit amet volutpat consequat mauris nunc. Egestas purus viverra accumsan
            in nisl nisi scelerisque. Proin libero nunc consequat interdum.</p>
          first: false
          split: true
    list_prefix:
      type: text
      label: List prefix
      description: Add an extra list item to the beginning
    list_suffix:
      type: text
      label: List suffix
      description: Add an extra list item to the end
  settings:
    pid:
      type: textfield
      label: Parent ID
      description: ID for tabs
      preview: abc
    no_open:
      type: boolean
      label: No starting open
      default_value: false
      preview: false
    nav_wrapper:
      type: boolean
      label: Nav with wrapping div
      default_value: false
      preview: false
    nav_wrapper_class:
      type: textfield
      label: Nav wrapper class
      description: wrapper class
    nav_only:
      type: boolean
      label: Only show nav
      default_value: false
      preview: false
    content_only:
      type: boolean
      label: Only show content pane
      default_value: false
      preview: false
    fade:
      type: boolean
      label: Fade
      default_value: false
      preview: false
    allow_close:
      type: boolean
      label: Allow close
      default_value: false
      preview: false
    show_close:
      type: boolean
      label: Show close
      default_value: false
      preview: false
    closer:
      type: textfield
      label: Close markup
      preview: <i class="fas fa-times-circle"></i>
    mobile_rows:
      type: boolean
      label: Mobile rows
      description: Show as rows on mobile
      default_value: false
      preview: false
    alignment:
      type: select
      label: Alignment
      description: Alignment
      default_value: left
      options:
        left: left
        right: right
        center: center
        vertical: vertical
    style:
      type: select
      label: Alignment
      description: Alignment
      default_value: tabs
      options:
        tabs: tabs
        pills: pills
    fill:
      type: select
      label: Fill
      description: Fill
      default_value: justify
      options:
        fill: fill
        justify: justify
    wrapper_class:
      type: textfield
      label: Wrapper class
      description: Wrapper class
    wrapper_attributes:
      type: attributes
      label: Wrapper attributes
      description: Wrapper attributes
    child_content_class:
      type: textfield
      label: Child content class
      description: Content class
    child_content_attributes:
      type: attributes
      label: Child content attributes
      description: Content attributes
    child_link_attributes:
      type: attributes
      label: Child link attributes
      description: Link attributes
    child_link_class:
      type: textfield
      label: Child link class
      description: Link class
    child_nav_classes:
      type: textfield
      label: Child nav classes
      description: Child nav classes.
    nv_tgl_down:
      type: textfield
      label: nv_tgl_down
      description: nv_tgl_down
    nv_tgl_up:
      type: textfield
      label: nv_tgl_up
      description: nv_tgl_up
  variants:
    __default:
      label: Default
      description: Default
    tbi_a:
      label: Version A
      description: Version A
      settings:
        child_nav_classes: tbn-a
        wrapper_class: tbw-a
        no_open: false
        child_content_class: ''
        child_content_attributes: ''
        child_link_attributes: ''
        child_link_class: ''
    tbi_b:
      label: Version B
      description: Version B
      settings:
        child_nav_classes: tbn-b
        wrapper_class: tbw-b
        no_open: false
        child_content_class: ''
        child_content_attributes: ''
        child_link_attributes: ''
        child_link_class: ''
    tbi_c:
      label: Version C
      description: Version C
      settings:
        child_nav_classes: tbn-c nv-tgl
        wrapper_class: tbw-c tabs-hide
        no_open: true
        child_content_class: ''
        child_content_attributes: ''
        child_link_attributes: ''
        child_link_class: ''
    tbi_e:
      label: Version E
      description: Version E
      settings:
        child_nav_classes: tbn-e
        wrapper_class: tbw-e
        fill: fill
        mobile_rows: true
        child_content_class: ''
        child_content_attributes: ''
        child_link_attributes: ''
        child_link_class: ''
    tbi_f:
      label: Version F
      description: Version F
      settings:
        child_nav_classes: tbn-f
        wrapper_class: tbw-f
        nav_wrapper: true
        nav_wrapper_class: tnw-f
        fill: fill
        mobile_rows: true
        child_content_class: ''
        child_content_attributes: ''
        child_link_attributes: ''
        child_link_class: ''
    tbi_g:
      label: Version G
      description: Version G
      settings:
        child_nav_classes: tbn-g
        wrapper_class: tbw-g
        nav_wrapper: true
        nav_wrapper_class: tnw-g
        fill: fill
        mobile_rows: true
        child_content_class: ''
        child_content_attributes: ''
        child_link_attributes: ''
        child_link_class: ''
    tbi_h:
      label: Version H
      description: Version H
      settings:
        child_nav_classes: tbn-h
        wrapper_class: tbw-h
        child_content_class: ''
        child_content_attributes: ''
        child_link_attributes: ''
        child_link_class: ''
